0

I was do setup the magento 2.3.4 version in Php 7.3 version
But Frontend throw error

Fatal error: Composer detected issues in your platform: Your Composer dependencies require a PHP version ">= 7.4.0". You are running 7.3.33-1+ubuntu20.04.1+deb.sury.org+1. in /magentoroot/vendor/composer/platform_check.php on line 24

After i runed below commands :
composer install, composer update and composer -v
it is thow error

Fatal error: Uncaught Error: Call to undefined function Composer\Json\json_decode() in /usr/share/php/Composer/Json/JsonFile.php:169

How to solve this problem ?

1
  • Try composer clear-cache and try again. If this doesn't help, uninstall composer and reinstall it. Apr 20 at 6:10

1 Answer 1

0

Update Project or global composer.json file under config section :

{
    "config": {

        "platform-check": false
    }
}

After that Run commands :

composer update
composer dump

After that Run the magento commands for setup upgrade, compile and deploy commands.

Hopefully It will resolve.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.